Package org.springframework.cglib.reflect

# Class ConstructorDelegate

java.lang.Object
org.springframework.cglib.reflect.ConstructorDelegate

public abstract class ConstructorDelegate extends Object

Author:
  Chris Nokleberg

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ConstructorDelegate.Generator`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ConstructorDelegate()`

## Method Summary

Modifier and Type
Method
Description
`static ConstructorDelegate`
`create(Class targetClass, Class iface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConstructorDelegate

protected ConstructorDelegate()

## Method Details

### create

public static ConstructorDelegate create(Class targetClass, Class iface)